{ config, pkgs, lib, ... }:
{
  # Bootloader
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.efi.efiSysMountPoint = "/boot/efi";

  boot.binfmt.emulatedSystems = [
    "riscv64-linux"
  ];

  imports = [
    ./hardware-configuration.nix
    ../../../profiles/sshd.nix

    ../../../users/pbsds
    ../../../users/daniel
    ../../../users/eirikwit
    ../../../users/h7x4
    ../../../users/adrlau

    ../../../profiles/shell.nix

    ../../../profiles/domeneshop-dyndns.nix
    ../../../profiles/known-hosts.nix
  ];
  services.domeneshop-updater.targets = [ config.networking.fqdn ];

  # Networking
  networking.networkmanager.enable = true;

  # TODO: remove? Move?
  programs.dconf.enable = true;
}
