{ config, pkgs, lib, ... }:
{
  # Bootloader
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.efi.efiSysMountPoint = "/boot/efi";

  boot.binfmt.emulatedSystems = [
    "riscv64-linux"
  ];

  services.nfs.server.enable = false; # TODO: remove?

  imports = [
    ./hardware-configuration.nix
    ../../../profiles/sshd.nix

    ../../../users/pbsds
    ../../../users/bartvbl

    ../../../profiles/mounts/panorama-zfs.nix

    ../../../profiles/shell.nix

    ../../../profiles/domeneshop-dyndns.nix
    ../../../profiles/known-hosts.nix
  ];
  services.domeneshop-updater.targets = [ config.networking.fqdn ];

  networking.hostId = "43c43ded"; # needed for zfs: head -c 8 /etc/machine-id

  # Networking
  networking.networkmanager.enable = true;

  # TODO: remove? Move?
  programs.dconf.enable = true;
}
