{ config, pkgs, lib, ... }:
{
  # Bootloader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  boot.binfmt.emulatedSystems = [
    "riscv64-linux"
  ];

  /** /
  services.xserver.displayManager.autoLogin.enable = true;
  services.xserver.displayManager.autoLogin.user = "pbsds";
  # tmp: https://github.com/NixOS/nixpkgs/issues/103746#issuecomment-945091229
  systemd.services."getty@tty1".enable = false;
  systemd.services."autovt@tty1".enable = false;

  #boot.kernelPackages = pkgs.linuxPackages_latest;
  #hardware.nvidia.package = config.boot.kernelPackages.nvidiaPackages.latest;
  #hardware.nvidia.modesetting.enable = false; # makes atom behave, but mpv refuses to start
  /**/

  # PRIME: (lspci)
  #hardware.nvidia.prime.intelBusId  = "PCI:0:02:0";
  #hardware.nvidia.prime.nvidiaBusId = "PCI:1:00:0";

  imports = [
    ./hardware-configuration.nix
    ../../../profiles/sshd.nix
    #../../../profiles/no-suspend.nix
    #../../../profiles/oci/podman.nix
    ../../../profiles/oci/docker.nix

    ../../../users/pbsds
    ../../../users/daniel
    ../../../users/eirikwit
    ../../../users/h7x4
    ../../../users/adrlau

    ../../../profiles/shell.nix

    #../../../profiles/desktop
    #../../../profiles/desktop/gnome # configures gdm
    ##../../../profiles/desktop/sound/alsa.nix
    ##../../../profiles/desktop/sound/pulseaudio.nix
    #../../../profiles/desktop/sound/pipewire.nix

    ../../../profiles/domeneshop-dyndns.nix
    ../../../profiles/known-hosts.nix
  ];
  services.domeneshop-updater.targets = [ config.networking.fqdn ];

  #networking.firewall.allowedTCPPorts = [ 57621 ]; # spotify local discovery

  # Networking
  networking.networkmanager.enable = true;

  # TODO: remove? Move?
  programs.dconf.enable = true;

  # Enable touchpad support (enabled default in most desktopManager).
  # services.xserver.libinput.enable = true;
}
