{ config, pkgs, lib, ... }:
{
  # Bootloader
  #boot.loader.systemd-boot.enable = true;
  #boot.loader.efi.canTouchEfiVariables = true;

  services.xserver.displayManager.autoLogin.enable = true;
  services.xserver.displayManager.autoLogin.user = "pbsds";
  # tmp: https://github.com/NixOS/nixpkgs/issues/103746#issuecomment-945091229
  systemd.services."getty@tty1".enable = false;
  systemd.services."autovt@tty1".enable = false;

  imports = [
    #./hardware-configuration.nix
    ../../../profiles/auto-upgrade.nix
    ../../../profiles/upgrade-diff.nix
    #../../../profiles/sshd.nix
    #../../../profiles/no-suspend.nix

    ../../../users/pbsds

    #../../../profiles/mounts/freon-nfs.nix
    #../../../profiles/mounts/reidun-nfs.nix
    #../../../profiles/mounts/meconium-nfs.nix

    ../../../profiles/shell.nix

    ../../../profiles/desktop
    ../../../profiles/desktop/gnome # configures gdm
    ../../../profiles/desktop/sound/pipewire.nix

    #../../../profiles/desktop/steam.nix
    #../../../profiles/desktop/lutris.nix
    #../../../profiles/desktop/flatpak.nix

    ../../../profiles/known-hosts.nix
  ];

  networking.firewall.allowedTCPPorts = [ 57621 ]; # spotify local discovery

  networking.networkmanager.enable = true;

  # TODO: remove? Move?
  programs.dconf.enable = true;
}
