{ config, pkgs, lib, mkDomain, ... }:
{
  # Navidrome
  # Music Server and Streamer compatible with Subsonic/Airsonic

  services.navidrome = {
    enable = true;
    settings = {
      # default hostname:port = "127.0.0.1:4533"
      MusicFolder = "/mnt/reidun/Music/Albums";
      #MusicFolder = pkgs.linkFarm "navidrome-music-library" [
      #  { name = "Albums";   path = "/mnt/reidun/Music/Albums"; }
      #  { name = "OST";      path = "/mnt/reidun/Music/OST"; }
      #  { name = "dojin.co"; path = "/mnt/reidun/Music/dojin.co"; }
      #  { name = "Touhou";   path = "/mnt/reidun/Music/Touhou"; }
      #  { name = "Kancolle"; path = "/mnt/reidun/Music/Kancolle"; }
      #  { name = "Vocaloid"; path = "/mnt/reidun/Music/Vocaloid"; }
      #];

      UIWelcomeMessage = "Spis meg";
      DefaultTheme = "Spotify-ish";
    };
  };
  services.nginx.virtualHosts.${mkDomain "navidrome"} = lib.mkIf config.services.navidrome.enable {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    locations."/" = {
      proxyPass = "http://127.0.0.1:4533";
      proxyWebsockets = true;
    };
  };

}
