{ lib
, stdenv
, fetchFromGitea
, buildPythonApplication
, poetry-core
, graphviz
, gradio
}:

buildPythonApplication rec {
  pname = "trivial-gradios";
  version = "unstable-2022-07-03";
  format = "pyproject";

  src = fetchFromGitea {
    domain = "gitea.noximilien.pbsds.net";
    owner = "pbsds";
    repo = "${pname}";
    rev = "4d3218a5c8b2fe383ba72a005029964aa46c68e7";
    sha256 = "hMuGgCjMT8II0ViRBWv8o+frRelvxQ8+E9MBrga4xL4=";
  };

  preCheck = ''
    python -c 'import gradio; print(gradio.version)'
  '';

  propagatedBuildInputs = [
    gradio
    graphviz
  ];

  nativeBuildInputs = [ poetry-core ];

  meta = {
    description = "spismeg";
    license = lib.licenses.mit;
    maintainer = with lib.maintainers; [ pbsds ];
  };
}
