{ config, pkgs, lib, ... }:

{
  # https://nixos.wiki/wiki/Remote_Desktop
  services.xrdp.enable = true;
  services.xrdp.openFirewall = true; # TCP only

  services.xserver.enable = true;
  services.xserver.virtualScreen = { x=1920; y=1080; }; # doesn't work?
  services.xserver.tty = lib.mkDefault null;

  # https://nixos.wiki/wiki/GNOME

  #services.xserver.displayManager.gdm.enable = true;
  services.xserver.desktopManager.gnome.enable = true;
  #services.xrdp.defaultWindowManager = "gdm";
  #services.xrdp.defaultWindowManager = "gnome-shell";
  #services.xrdp.defaultWindowManager = "gnome-session";
  services.xrdp.defaultWindowManager = "${pkgs.gnome.gnome-session}/bin/gnome-session"; # remember to `systemctl restart xrdp-sesman` if you change this
  programs.dconf.enable = true;
}
