# projects
* [ ] on eple: https://discourse.nixos.org/t/how-to-run-x-sunshine-steam-on-headless-server/35134/6
* [ ] https://github.com/NixOS/nixos-hardware/tree/master/pine64/pinebook-pro
* [ ] riscv
# nice to have
* [ ] nixos-generate-config instructions for new hosts
* [ ] `profiles/singularity.nix` https://github.com/NixOS/nixpkgs/issues/230851
* [x] xforwarding over ssh
* [ ] pre-commit hook with 'nix eval ...outPath'
* [x] use `nom` when deploying
* [ ] https://fosdem.org/2024/schedule/event/fosdem-2024-3045-automatic-boot-assessment-with-boot-counting/
* [ ] https://discourse.nixos.org/t/a-web-ui-for-the-nix-store-early-beta/35762
* [ ] working `jump` completions
# machine park
* [ ] wg
* [ ] remote-builders over wg
* [ ] autogenerate ssh keys for new hosts
* [ ] http health monitoring `services.netdata.httpcheck.checks.<foobar>`
* [ ] switch to systemd networkd
* [x] Setup some remote-development and deploy flow
* [ ] zfs, declarative pools?
* [ ] zfs, fix export
* [ ] figure out how to reuse system flake lock while deploying, leave the night job to upgrade
* [ ] some tunneling for NFS hosts
* [ ] https://nix-community.org/community-builder/
# ricing
* [ ] [doas](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/security/doas/default.nix)
* [ ] https://github.com/NixOS/nixpkgs/pull/266094 (see https://nixos.wiki/wiki/Cursor_Themes)
# selfhosting
* [ ] https://discourse.nixos.org/t/syncthing-accept-incoming-shares-declaratively/26304
* [ ] hydra - perfect for CUDA and RISCV
* [ ] [avahi](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/services/avahi/default.nix)
* [ ] [kvm](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/virtualisation/kvm/default.nix)
* [ ] [samba](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/services/samba/default.nix)
* [ ] s3: minio or garage
* [ ] mlflow / wandb service
* [x] nfs
* [x] [zfs](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/system/zfs/default.nix)
* [ ] https://github.com/ibizaman/selfhostblocks?tab=readme-ov-file
* [x] https://discourse.nixos.org/t/jsonresume-nix-build-and-deploy-your-resume-with-nix/34089
* [ ] homemanager: ip cameras with frigate
* [ ] host older versions of nixpkgs documentation (like 20.09)
* [ ] declarative libvirt
  * [ ] https://git.m-labs.hk/M-Labs/wfvm
  * [ ] https://github.com/kholia/OSX-KVM
* [ ] self-hosted binary cache (single-machine) (nix-serve, carinae, harmonia, eris or attic, ssh?)
  * https://discourse.nixos.org/t/announcing-harmonia-a-nix-binary-cache-written-in-rust/19855
  * https://discourse.nixos.org/t/introducing-attic-a-self-hostable-nix-binary-cache-server/24343/1
* [ ] profiles/http: make ACME/nginx helper a function
  * [ ] Support multiple tlds
  * [ ] Support multiple acme accounts
  * [ ] Support a per-account provider?
  * [ ] Support DNS auth
  * [ ] Setup aliases instead of a per-vhost cert?
    * [ ] Preferably setup a wildchar cert per host
# to read
* [ ] https://github.com/ogoid/nixos-expose-cuda
# refactoring
* [x] Split stuff into multiple files
* [x] Make a flake
* [x] merge hosted docs into a single subdomain
# desktop
* [ ] transgui config
* [ ] xclip
* [x] add a hidpi profile? https://wiki.archlinux.org/title/HiDPI
* [ ] desktop entries - https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/packages/hey/default.nix
* [ ] https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/packages/xdg-open-with-portal/default.nix - extend it to work over ssh
* [ ] https://github.com/fufexan/nix-gaming/tree/b090e8b7e463d9c437536b25a0e9af3477a269e9#pipewire-low-latency
* [x] rocm
* [x] cuda
# gaming
* [ ] https://search.nixos.org/packages?query=heroic
* [ ] htpc/handheld emulation station
* [ ] [doukutsu-rs](https://github.com/jakehamilton/config/tree/579827c699d9c78bd42e73f543eafb05a0d6c374#doukutsu-rs)
# security
* [ ] [gpg](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/security/gpg/default.nix)
* [ ] [keyring](https://github.com/jakehamilton/config/blob/579827c699d9c78bd42e73f543eafb05a0d6c374/modules/security/keyring/default.nix)
# home/pbsds
* [ ] wrap windowmanager in nixGL on non-nixos https://github.com/dali99/nix-dotfiles/blob/85dcafb4e0b8382a3d04b9a5f63afd01a4144143/profiles/xsession/default.nix#LL138C1-L138C1
  * [ ] requires GNOME xstart in home-manager
  * [ ] https://github.com/dali99/nix-dotfiles/blob/85dcafb4e0b8382a3d04b9a5f63afd01a4144143/machines/pvv-terminal.nix#L3
* [ ] users/pbsds: Support multiple profiles, like headless, nixpkgs-dev, various desktops, hpc, pvv, etc
* [x] lxterminal
* [ ] replace gnome terminal
* [x] themes
* [x] shortcuts
* [x] pavucontrol
# sops
* [x] secrets - nix-sops ?
* [x] flexget
* [ ] microbin
* [ ] transmission
* [ ] transmission remote gui (requires sops in home-manager)
* [x] domeneshop
* [ ] webdav
* [ ] code-remote
* [ ] add .netrc
* [ ] mint a one true ssh key?
  * [x] then add darwin and aarch64 community remote builders
* [ ] automate adding ssh host public keys to flake
