{ config, pkgs, lib, ... }:
{
  programs.zsh.enable = true;

  nix.settings.allowed-users = [ "eirikwit" ];
  nix.settings.trusted-users = [ "eirikwit" ];

  users.users."eirikwit" = {
    isNormalUser = true;
    uid = 1005;
    description = "eirik";
    extraGroups = [ "users" ];
    shell = pkgs.zsh;

    openssh.authorizedKeys.keys = [
      # https://github.com/eirikwitt.keys
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGZusOSiUVSMjrvNdUq4R91Gafq4XVs9C77Zt+LMPhCU"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAKjuCCi9x4+oL85cm5i1hHTnhMY2F2ZptODz7iF8qmb"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILVbiczhHW6F8s6D6VW0cMYyvQHBHds9gUMCsGj1ZvOQ"
    ];
  };
}
